// http://akelpad.sourceforge.net/forum/viewtopic.php?p=1213#1213
// Description(1049): Удаляет отладочные команды вывода
// Version: 1.0 (2012.06.20)
// Author: VladSh
// 
// Usage:
//		-"Удалить отладочные строки" Call("Scripts::Main", 1, "removeDebug.js")


if (! AkelPad.Include("selCompleteLine.js")) WScript.Quit();
oCh.runWithRedraw();

function process() {
	oCh.Text = oCh.getTextAll();
	
	var pFuncRemove;		//для того, чтобы не повредить этот самый скрипт
	
	pFuncRemove = "Echo";
	oCh.Text = removeTextLineAll(oCh.Text, "WScript." + pFuncRemove);
	
	pFuncRemove = "Log::Output";
	oCh.Text = removeTextLineAll(oCh.Text, 'AkelPad.Call("' + pFuncRemove + '"');
	
	oCh.Text = oCh.Text.replace(/\r{3,}/gm, oStr.repeat(pBreak, 2));	//гасим ненужные переводы строк
}